Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224168 - rebuild error on a rawhide system
Summary: rebuild error on a rawhide system
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libwvstreams
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-24 14:24 UTC by Karsten Hopp
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-24 16:14:36 UTC


Attachments (Terms of Use)
libwvstreams-4.2.1-wvvector.patch (deleted)
2007-09-17 10:45 UTC, Johnny Hughes
no flags Details

Description Karsten Hopp 2007-01-24 14:24:36 UTC
Description of problem:
g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386
-mtune=generic -fasynchronous-unwind-tables -fPIC -D_BSD_SOURCE -D_GNU_SOURCE
-DISLINUX -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -g -DDEBUG=0  -O2 -Wall
-Iyes/include -I./xplc/include  -I./include -Iinclude -Iinclude -Ignulib -pipe
-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -fPIC -D_GNU_SOURCE -D_LARGEFILE_SOURCE
-D_FILE_OFFSET_BITS=64 -g -O2 -Wall -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386
-mtune=generic -fasynchronous-unwind-tables -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -fPIC -D_BSD_SOURCE
-D_GNU_SOURCE -DISLINUX -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -g -DDEBUG=0
-O2 -Wall -Woverloaded-virtual -fno-rtti -fno-exceptions -Iyes/include
-I./xplc/include  -I./include -Iinclude -Iinclude -Ignulib -pipe -O2 -g -pipe
-Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -fPIC -D_GNU_SOURCE -D_LARGEFILE_SOURCE
-D_FILE_OFFSET_BITS=64 -g -O2 -Wall -Woverloaded-virtual
-DWVSTREAMS_RELEASE=\"4.2.2\"     -c utils/wvvector.cc -o utils/wvvector.o
./include/wvvector.h: In member function 'T* WvVector<T>::Iter::ptr() const':
./include/wvvector.h:361: error: there are no arguments to 'cur' that depend on
a template parameter, so a declaration of 'cur' must be available
./include/wvvector.h:361: error: (if you use '-fpermissive', G++ will accept
your code, but allowing the use of an undeclared name is deprecated)
./include/wvvector.h: In member function 'bool WvVector<T>::Iter::get_autofree()
const':
./include/wvvector.h:371: error: 'link' was not declared in this scope
./include/wvvector.h: In member function 'void
WvVector<T>::Iter::set_autofree(bool)':
./include/wvvector.h:379: error: 'link' was not declared in this scope
./include/wvvector.h: In member function 'void WvVector<T>::Iter::remove(bool)':
./include/wvvector.h:389: error: 'i' was not declared in this scope
./include/wvvector.h: In member function 'void WvVector<T>::Iter::xremove(bool)':
./include/wvvector.h:407: error: 'i' was not declared in this scope
./include/wvvector.h:408: error: there are no arguments to 'prev' that depend on
a template parameter, so a declaration of 'prev' must be available
make: *** [utils/wvvector.o] Error 1

Version-Release number of selected component (if applicable):
libwvstreams-4.2.2-2.1

Comment 1 Johnny Hughes 2007-09-17 10:42:00 UTC
just for reference, I get the same error when compiling EL5 code on sparc.

There is a fix to keep using libwvstreams-4.2.2-2.1 that does not require an upgrade

Comment 2 Johnny Hughes 2007-09-17 10:45:22 UTC
Created attachment 197241 [details]
libwvstreams-4.2.1-wvvector.patch


Note You need to log in before you can comment on or make changes to this bug.